Bug 133560 - Kickstart with Intel Pro/1000MT card doesn't find network
Kickstart with Intel Pro/1000MT card doesn't find network
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-09-24 15:51 EDT by Tim Skirvin
Modified: 2013-07-02 22:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-19 16:14:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Skirvin 2004-09-24 15:51:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; rv:1.7.3) Gecko/20040916

Description of problem:
I'd like to perform NFS-based kickstart installs using a floppy disk
and the network.  Our desktops use Intel Pro/1000MT gigabit network
cards.  These cards are not recognized by the boot process, but are
supported later.  The CD-ROM has been no help; even our old RH9
methods of copying a version of the e1000.o driver to the floppy
doesn't work this time.  How would I go about building an appropriate
e1000.o driver for the floppy?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Put in the default boot floppy.
2.  Boot until it gripes about lack of driver.  Put in driver floppy.
3.  System gripes that it still can't find the appropriate driver.


Additional info:

I have tried getting various e1000.o drivers from other installs, and
updating the boot floppy accordingly.  With RH9, I was able to use
this script to create the appropriate boot disk:


Similar methods no longer work when I use the newer bootnet.img files.
Comment 1 Tim Skirvin 2004-10-18 15:34:13 EDT
Okay, is anybody planning on responding to this bug?  It's holding up
our potential rollout of RHEL.  If you guys want our money, we need
your help...
Comment 2 John W. Linville 2004-10-18 15:43:01 EDT

Are you using a late version of RHEL3 (i.e RHEL3 U3)?  There have been
a number of e1000 updates in the RHEL3 updates.
Comment 3 Tim Skirvin 2004-10-19 16:14:27 EDT
RHEL U3 appears to work, thanks!
Comment 4 Ernie Petrides 2005-09-09 16:15:09 EDT
This problem was fixed in U3 (advisory RHBA-2004:433-17),
although obviously the latest released kernel should be
used (which is 2.4.21-32.0.1.EL, advisory RHSA-2005:472).

Note You need to log in before you can comment on or make changes to this bug.